<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="CsvHelper" Version="32.0.3" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.6">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.6" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0"/>
        <PackageReference Include="Microsoft.Extensions.Hosting" Version="8.0.0"/>
        <PackageReference Include="NLog" Version="5.3.2"/>
        <PackageReference Include="NLog.Extensions.Logging" Version="5.3.11"/>
    </ItemGroup>

    <ItemGroup>
        <None Update="NLog.config">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
        <None Update="appsettings.json">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Blink.Backoffice.Services.PcmDb\Blink.Backoffice.Services.PcmDb.csproj" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Blink.Backoffice.Services.PcmDb\Blink.Backoffice.Services.PcmDb.csproj" />
    </ItemGroup>

</Project>
